from rest_framework import serializers
from .models import Product

class ProductSerializer(serializers.ModelSerializer):
    gauge = serializers.SerializerMethodField()  # Declare the custom field

    class Meta:
        model = Product
        fields = (
            'uom', 'price', 'discounted_price', 'productType', 
            'quantity_in_stock', 'product_name', 'gauge'
        )   

    def get_gauge_data(self, obj): 
        if obj.gauge:
            return {
                'gauge': obj.gauge.name,  
            }
        return None  # Return None if no gauge is linked
